Bug 53705 - Two interfaces on same network creates routing problems
Two interfaces on same network creates routing problems
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: net-tools (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-15 21:07 EDT by David Morse
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-20 05:54:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Morse 2001-09-15 21:07:27 EDT
Description of problem:
When you have two interfaces on the same network (i.e. eth0=192.1.1.1 and 
eth1=192.1.1.2), 'route' shows two entries for 192.1.1.0, but both with 
interface eth1!  Therefore when you do an ifdown eth1, it takes BOTH 
192.1.1.0 routes out, leaving a dead network.

Version-Release number of selected component (if applicable): 1.60-3


How reproducible:
Always

Steps to Reproduce:
1. Configure eth0 as 192.1.1.1, bring it up
2. Configure eth1 as 192.1.1.2, bring it up
3. Do a 'route': it shows two 192.1.1.0 entries but both bound to eth1 
(incorrect)
4. ifdown eth0, one route should go away (doesn't)
5. ifdown eth1, both 192.1.1.0 routes go away (only one should)

Actual Results:  Both routes got bound to the second interface, eth1.

Expected Results:  One route should be bound to eth0, one route should be 
bound to eth1.
Comment 1 Phil Knirsch 2002-02-24 12:10:41 EST
Could you verify if this still happens with the latest initscripts from here: 

  http://www.redhat.com/support/errata/RHBA-2002-022.html


and see if it works?

Thanks,

Read ya, Phil
Comment 2 David Morse 2002-02-25 14:09:06 EST
Still happens.  It may just be that it's sufficiently confused by two 
interfaces on the same 192.1.1.x network.

I could understand if this is not a valid config...
Comment 3 Need Real Name 2002-04-05 15:35:50 EST
I see this problem on my machine too. It has a motherboard ethernet interface
and a PCI card 10/100 NIC. eth1 gets assigned twice to the base network address
at boot, which disables the eth0 connection. I think the situation can be fixed
temporarily by removing the route for eth1 (twice):

# route del -net 192.1.1.1 netmask 255.255.255.0 dev eth1

# route del -net 192.1.1.1 netmask 255.255.255.0 dev eth1

...then adding back routes for each interface. This doesn't require brigging
down the interfaces.
Comment 4 Need Real Name 2002-04-05 15:36:42 EST
I see this problem on my machine too. It has a motherboard ethernet interface
and a PCI card 10/100 NIC. eth1 gets assigned twice to the base network address
at boot, which disables the eth0 connection. I think the situation can be fixed
temporarily by removing the route for eth1 (twice):

# route del -net 192.1.1.1 netmask 255.255.255.0 dev eth1

# route del -net 192.1.1.1 netmask 255.255.255.0 dev eth1

...then adding back routes for each interface. This doesn't require brigging
down the interfaces.
Comment 5 Phil Knirsch 2003-05-20 05:54:48 EDT
Works fine with a RH 7.2 with the following packages installed:

glibc-2.2.4-24
kernel-2.4.18-3
initscripts-6.43-1
net-tools-1.60-3

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.